#include <stdio.h>
/* we must define TokenType, but it will be different for parsers A and B;
 * so, we just define it as an 'int', which is bad, but we can do nothing
 * else.
 */
#include "A/tokens.h"
#include "A.h"
#include "B.h"
#include "ALexer.h"
#include "BLexer.h"

typedef ANTLRCommonToken ANTLRToken;

main()
{
	ANTLRToken aToken;		/* create a token to fill in for DLG */
	DLGFileInput in(stdin);

	ALexer scan1(&in,2000);
	ANTLRTokenBuffer pipe1(&scan1);
	scan1.setToken(&aToken);
	A parser1(&pipe1);
	parser1.init();

	parser1.e();

	BLexer scan2(&in,2000);
	ANTLRTokenBuffer pipe2(&scan2);
	scan2.setToken(&aToken);
	B parser2(&pipe2);
	parser2.init();

	parser2.e();
}
